Bug 152550 - newer rpm packages of xorg and XFree overwrite local modifications to keyboard mappings under xkb/symbols directory
newer rpm packages of xorg and XFree overwrite local modifications to keyboar...
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-30 04:25 EST by Einar Indridason
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-11 07:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Einar Indridason 2005-03-30 04:25:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
In order to configure the "windows" keys on the keyboard, to act as CTRL keys, a change in three files under /usr/X11R6/lib/X11/xkb/symbols was made.  (Those files are: ctrl, pc/pc, pc/is).  However, when updating via newer RPMs, those files get overwritten again with the "vanilla" stuff.  Which means that those new-and-modified files must be copied from some other place, in order to keep the functionality of "windows-keys-act-as-ctrl-keys".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install XFree-86 or Xorg, using older RPMs
2. Change those files:  /usr/X11R6/lib/X11/xkb/symbols/{ctrl,pc/pc,pc/is}
3. Update XFree-86 or Xorg from newer RPMs
4. See the change in those files; they are overwritten.

Actual Results:  The loss of "windows-keys-are-to-act-as-a-CTRL-key"

Expected Results:  The changed files should have been left alone.  Alternatively, rpm / yum should have asked whether to change them.  Alternatively, save the old files as "*.rpmsave".  Alternatively (and probably preferably), save the *new* files as *.rpmnew *AND* notify on the screen that a different set of files was seen.
(After all, those files in .../xkb/symbols can be seen as a config files, and overwriting locally-changed config files is not good.)

Additional info:
Comment 1 Mike A. Harris 2005-04-11 07:25:00 EDT
The xkb/symbols/* files are not intended to be configuration files.  They
are intended to be system supplied.  This ensures that the files get updated
every time a new X release is released, and that the files reflect what was
shipped with the new X release.

I suggest if you are modifying these files at all, that the files must then
contain a bug, and you should report that bug to X.Org directly, so that
they can fix the bug directly in the official copy of the files.  That
gives you an additional benefit of not needing to modify the files to fix
the problem in the future.

You can file bug reports to X.Org at http://bugs.freedesktop.org in the
"xorg" component.

Setting status to "NOTABUG" as it is intentional that these files are
Comment 2 Einar Indridason 2005-04-13 05:36:29 EDT
Thanks, I'll file a report with X.org.  Thanks,
Einar Indridason,

Note You need to log in before you can comment on or make changes to this bug.